@echo off
REM This batch file requires 4 parameters to work correctly
REM 1) EAW slot name to copy to, internal 4 character name one of:
REM p38h p38j p47c p47d p51b p51d bb17 b24a b26a hurr sp2a sp09 sp14 typh temp
REM mosq 109e 109g 109k 110c 110g m410 190a 190d 262a j88a j88c ju87 h111 v1v1
REM 2) 4 character seed name to find source files (used with snaps.bat)
REM 3) Sub-folder name to find source files
REM 4) Aircraft name for display

REM --------- Check parameters
if "%1" == "" goto error
set slot=%1
if "%2" == "" goto error
set sorc=%2
if "%3" == "" goto error
set dir=%3
if "%4" == "" goto error
set aname=%4
set eaw=..

del %eaw%\p%slot%*.tpc
copy %dir%\p%sorc%*.tpc %eaw%\p%slot%*.tpc
copy %dir%\vcg_%sorc%.dat %eaw%\vcg_%slot%.dat

cd %dir%
..\pstr.exe p%sorc%a.3dz 3 %slot%
..\pstr.exe p%sorc%b.3dz 3 %slot%
..\pstr.exe p%sorc%c.3dz 3 %slot%
..\pstr.exe p%sorc%e.3dz 3 %slot%
..\pstr.exe p%sorc%f.3dz 3 %slot%
..\pstr.exe p%sorc%g.3dz 3 %slot%
..\pstr.exe p%sorc%h.3dz 3 %slot%
..\pstr.exe p%sorc%l.3dz 3 %slot%
..\pstr.exe p%sorc%m.3dz 3 %slot%
..\pstr.exe p%sorc%n.3dz 3 %slot%
..\pstr.exe p%sorc%p.3dz 3 %slot%
..\pstr.exe p%sorc%r.3dz 3 %slot%
..\pstr.exe p%sorc%s.3dz 3 %slot%
..\pstr.exe p%sorc%u.3dz 3 %slot%
..\pstr.exe p%sorc%v.3dz 3 %slot%
..\pstr.exe p%sorc%w.3dz 3 %slot%
..\pstr.exe p%sorc%x.3dz 3 %slot%
..\pstr.exe p%sorc%y.3dz 3 %slot%
..\pstr.exe p%sorc%z.3dz 3 %slot%
cd ..

del %eaw%\p%slot%?.3dz
copy %dir%\p%sorc%?.3dz %eaw%\p%slot%?.3dz

:proc
REM *** EXTRACT IF NEEDED
call aux_snap.bat %eaw% %dir% data.cdf planes.dat 
cd %dir%
..\pln_inp.exe %slot% %sorc%.bin
cd ..
copy %dir%\planes.dat %eaw%
del %dir%\planes.dat

call aux_snap.bat %eaw% %dir% data.cdf loadout.dat 
cd %dir%
..\load_inp.exe %slot% %sorc%.bil
cd ..
copy %dir%\loadout.dat %eaw%
del %dir%\loadout.dat

REM ++++++ NEXT LINE MUST BE LOCALIZED (TEXT_ENG.CDF - TEXT_???.CDF)
call aux_snap.bat %eaw% . text_eng.cdf pnames.str 
pt_pname.exe %slot% %aname%
copy pnames.str %eaw%
del pnames.str

copy %dir%\%sorc%.flt %eaw%\%slot%.flt
goto end

:error
echo Usage:
echo        INSTS.BAT (Slot name) (Source seed name) (Sub-folder name) ("Display name")
echo .
echo (Slot name) - EAW slot name to install files, internal 4 character name one of:
echo      p38h p38j p47c p47d p51b p51d bb17 b24a b26a hurr sp2a sp09 sp14 typh temp
echo      mosq 109e 109g 109k 110c 110g m410 190a 190d 262a j88a j88c ju87 h111 v1v1
echo (Source seed name) - Seed particle to get correct file names
echo (Sub-folder name) - Sub-folder name to get all source files
echo ("Display name") - Aircraft name for display in screens. Surround with ""
echo .

:end
